<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Casa Tapioles</title>
<link rel="shortcut icon" type="image/png" href="src/icon.png" />
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<link rel="stylesheet" href="src/css/font-awesome/css/font-awesome.min.css">
<link rel="stylesheet" href="src/css/style.css">
<script src="src/js/jquery.min.js"></script>
<script src="src/js/moment.min.js"></script>
<link rel="stylesheet" href="src/css/fullcalendar/fullcalendar.min.css">
<script src="src/js/fullcalendar.min.js"></script>
<script src="src/js/es.js"></script>

</head>
<body>
<?php
require("classeSessio.php");
$sessio = new Sessio();   
$Nom = $sessio ->get("nom");
if(empty($Nom)) // mira si existeix un nom de sessió
{  
    header("Location: zonaPrivadaLogin.html");   // sinó, redireix a zonaPrivadaLogin.html
}
?>
<header>
<div class="divtop2">
    <div class="user">
      <?php
      echo '<p>Hola '.$Nom.'</p>';  // carrega el nom de la sessió al text de benvinguda
      ?>
    </div>
    <div class="desconnectar">
      <a class="fa fa-power-off"  href="tancarSessio.php"> Desconnectar</a>
    </div>
</div>

<div class="topnav" id="myTopnav">
  
  <img src="src/logoPetit.png" alt="">

  <a href="zonaPrivadaCalendari.php" class="bold">Calendari</a>
  <a href="zonaPrivadaPreus.php">Preus</a>
  
  
  <a href="javascript:void(0);" class="icon" onclick="myFunction()">
    <i class="fa fa-bars"></i>
  </a>

</div>
</header>

<div class="container">
  <div class="fons">
    <div class="calendari">
    <h1> Calendari </h1>
    <div id="CalendarioWeb"></div>
    </div>
  </div>
</div> 


<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

<script>
  $(document).ready(function(){
   
    $('#CalendarioWeb').fullCalendar({  // mostra el calendari 
      
      dayClick:function(date,jsEvent,view){  // quan cliques damunt dun dia
        $('#btnAgregar').prop("disabled",false);
        $('#btnModificar').prop("disabled",true); // oculta el botó de modificar i borrar
        $('#btnEliminar').prop("disabled",true);
        netejarFormulari();
        $('#dataInici').val(date.format()+"T00:00:00");
        $('#dataFi').val(date.format()+"T00:00:00");
        $("#ModalCalendari").modal(); // mostra el modal
      },
     
      events:'http://localhost/tfg/connexioReserves.php',  // recull tots els events en format json
      
      eventClick:function(calEvent,jsEvent,view){
        $('#btnAgregar').prop("disabled",true);
        $('#btnModificar').prop("disabled",false); // oculta el boto de modificar i borrar
        $('#btnEliminar').prop("disabled",false);
        $('#numReserva').val(calEvent.id);
        var dataInici = moment(calEvent.start).format('YYYY-MM-DD[T]HH:mm');  // converteix la data
        $('#dataInici').val(dataInici);
        var dataFi = moment(calEvent.end).format('YYYY-MM-DD[T]HH:mm');  // converteix la data 
        $('#dataFi').val(dataFi);
        $('#casaReserva').val(calEvent.casaReserva);
        $('#numPersones').val(calEvent.numPersones);
        $('#txtObservacions').val(calEvent.observacions);
        $('#dniPersonaReserva').val(calEvent.dniPersonaReserva);
        $('#nomPersonaReserva').val(calEvent.nomPersonaReserva);
        $('#cognomPersonaReserva').val(calEvent.cognomPersonaReserva);
        $('#cognom2PersonaReserva').val(calEvent.cognom2PersonaReserva);
        $('#emailPersonaReserva').val(calEvent.emailPersonaReserva);
        $('#telefonPersonaReserva').val(calEvent.telefonPersonaReserva);
        $('#localitatPersonaReserva').val(calEvent.localitatPersonaReserva);
        
        $("#ModalCalendari").modal();
      },

    });
  });
</script>


<!-- Modal -->
<div class="modal fade" id="ModalCalendari" tabindex="-1" role="dialog"  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="titulReserva">Dades reserva</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
     
        <div class="form-row">
          <div class="form-group col-md-3">
            <label for="">Num reserva:</label>
            <input type="text" id="numReserva" name="numReserva" class="form-control" readonly>
          </div>
          <div class="form-group col-md-5">
            <label for="">Casa:</label>
            <select id="casaReserva" name="casaReserva" class="form-control">
              <option value="1">Els Alous</option>
              <option value="2">Les Comelles</option>
              <option value="3">Comasensor</option>
            </select>
          </div>
          <div class="form-group col-md-4">
            <label for="">Num persones:</label>
            <input class="form-control" type="text" id="numPersones" name="numPersones">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">Entrada:</label>
            <input class="form-control" type="datetime-local" id="dataInici" name="dataInici" >
          </div>
          <div class="form-group col-md-6">
            <label for="">Sortida:</label>
            <input class="form-control" type="datetime-local" id="dataFi" name="dataInici">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-4">
            <label for="">Nom:</label>
            <input class="form-control" type="text" id="nomPersonaReserva" name="nomPersonaReserva">
          </div>
          <div class="form-group col-md-4">
            <label for="">Cognom:</label>
            <input class="form-control" type="text" id="cognomPersonaReserva" name="cognomPersonaReserva">
          </div>
          <div class="form-group col-md-4">
            <label for="">2n Cognom:</label>
            <input class="form-control" type="text" id="cognom2PersonaReserva" name="cognom2PersonaReserva">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">DNI:</label>
            <input class="form-control" type="text" id="dniPersonaReserva" name="dniPersonaReserva">
          </div>
          <div class="form-group col-md-6">
            <label for="">Email:</label>
            <input class="form-control" type="text" id="emailPersonaReserva" name="emailPersonaReserva">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="">Telèfon:</label>
            <input class="form-control" type="text" id="telefonPersonaReserva" name="telefonPersonaReserva">
          </div>
          <div class="form-group col-md-6">
            <label for="">Localitat:</label>
            <input class="form-control" type="text" id="localitatPersonaReserva" name="localitatPersonaReserva">
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-md-12">
            <label for="">Observacions:</label>
            <textarea class="form-control" id="txtObservacions"></textarea>
          </div>
        </div>
        
      </div>
      <div class="modal-footer">
        <button type="button" id="btnAgregar" class="btn btn-success" data-dismiss="modal">Agregar</button>
        <button type="button" id="btnModificar" class="btn btn-success" data-dismiss="modal">Modificar</button>
        <button type="button" id="btnEliminar" class="btn btn-danger" data-dismiss="modal">Borrar</button>
        <button type="button" id="btnCancelar" class="btn btn-default">Cancelar</button>
      </div>
    </div>
  </div>
</div>
<script>
  $('#btnAgregar').click(function(){
    RecolectarDades();
    EnviarInformacio('agregar',novaReserva);
  });
  $('#btnEliminar').click(function(){
    RecolectarDades();
    EnviarInformacio('eliminar',novaReserva);
  });
  $('#btnModificar').click(function(){
    RecolectarDades();
    EnviarInformacio('modificar',novaReserva);
  });
  $('#btnCancelar').click(function(){
    $("#ModalCalendari").modal('toggle');  // oculta el modal
  });
  
  function RecolectarDades(){  // recull totes les dades i les guarda
      novaReserva = {
      numReserva:$('#numReserva').val(),
      casaReserva:$('#casaReserva').val(),
      dataInici:$('#dataInici').val(),
      dataFi:$('#dataFi').val(),
      numPersones:$('#numPersones').val(),
      observacions:$('#txtObservacions').val(),
      dniPersonaReserva:$('#dniPersonaReserva').val(),
      nomPersonaReserva:$('#nomPersonaReserva').val(),
      cognomPersonaReserva:$('#cognomPersonaReserva').val(),
      cognom2PersonaReserva:$('#cognom2PersonaReserva').val(),
      emailPersonaReserva:$('#emailPersonaReserva').val(),
      telefonPersonaReserva:$('#telefonPersonaReserva').val(),
      localitatPersonaReserva:$('#localitatPersonaReserva').val(),
    };


  }

  function EnviarInformacio(accio,objEvento,modal){    // envia les dades via Ajax a connexioReserves amb l'acció escollida
    $.ajax({
      type:'POST',
      url:'http://localhost/tfg/connexioReserves.php?accio='+accio,
      data: objEvento,
      success:function(msg){
        if(msg){ // si s'ha guardat correctament
          $('#CalendarioWeb').fullCalendar('refetchEvents'); // refresca el calendari
          if(!modal){
            $("#ModalCalendari").modal('toggle');  // oculta el modal
          }
        }
      },
      error:function(){
        alert("Hi ha un error!");
      }
    });

  }
  function netejarFormulari(){   // neteja el formulari
      $('#numReserva').val('');
      $('#dataFi').val('');
      $('#casaReserva').val('');
      $('#numPersones').val('');
      $('#txtObservacions').val('');
      $('#dniPersonaReserva').val('');
      $('#nomPersonaReserva').val('');
      $('#cognomPersonaReserva').val('');
      $('#cognom2PersonaReserva').val('');
      $('#emailPersonaReserva').val('');
      $('#telefonPersonaReserva').val('');
      $('#localitatPersonaReserva').val('');
  }

// funció per fer el responsive amb l'hamburguesa
  function myFunction() {
    var x = document.getElementById("myTopnav");
    if (x.className === "topnav") {
        x.className += " responsive";
    } else {
        x.className = "topnav";
    }
  }

</script>



</body>
</html>